<?php
/* 
	This is phpSitemapNG, a php script that creates your personal google sitemap
	It can be downloaded from http://enarion.net/google/
	License: GPL
	
	Tobias Kluge, enarion.net
*/

// this script is greedy! :(
@set_time_limit(-1);
@ini_set('memory_limit', '128M');


$SETTINGS[config][] = 		'inc/functions.inc.php';
$SETTINGS[config][] = 		'inc/parsing.inc.php';
$SETTINGS[config][] = 		'inc/settings.inc.php';
$SETTINGS[config][] = 		'inc/FilesystemHandler.class.php';
$SETTINGS[config][] = 		'inc/LayoutEngine.class.php';
$SETTINGS[config][] = 		'inc/gsgxml/GsgXml.class.php';
$SETTINGS[settings_file] = 	'settings/settings.inc.php';
$SETTINGS[files_file] = 	'settings/files.inc.php';
$SETTINGS[script] =			$_SERVER[SCRIPT_NAME]; 		


@include_once($SETTINGS[settings_file]);

DEFINE(VERSION, '1.3.2b');
DEFINE(FILE_LIMIT, 300);
foreach ($SETTINGS[config] as $configfile) {
	include_once ($configfile);
}

$state = init();
switch ($state) {
/*	case "debug":
		$msg .= debugOutput();
		break;

	case "resetFiles":
		$msg .= resetFiles();
		$msg .= viewSetup();
		break;
*/
	case "resetSettings":
		viewSetup(true);
		break;
			
	case "setup":
		viewSetup();
		break;

	case "getSettings": // & parse
		if (getSettings()) {
			$LAYOUT->addInfo('', 'Scanning file system now!');// break;
		} else {
			break;
		}		
	case "parse":
		parseFilesystem();
		break;
		
	case "writeSitemapUserinput":
		writeSitemapUserinput();
		break;
	
	case "submitPageToGoogle":
		submitPageToGoogle();		
		break;

	default:
		viewSetup();
		break;
}

print ($LAYOUT->getContent());
?>